package cn.iododer.yudao.module.mqtt.api.task;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.mqtt.api.task.RobotTaskApi;
import cn.iocoder.yudao.module.mqtt.api.task.dto.RobotAcceptTaskDTO;
import cn.iododer.yudao.module.mqtt.util.MqttUtils;
import com.alibaba.fastjson.JSON;
import lombok.extern.slf4j.Slf4j;
import org.eclipse.paho.client.mqttv3.MqttException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@Validated
@Slf4j
public class RobotTaskApiImpl implements RobotTaskApi {

    @Autowired
    private MqttUtils mqttUtils;

    /*@Override
    public void sendTaskToRobot(List<RobotAcceptTaskDTO> robotTaskDOS) {
        for (RobotAcceptTaskDTO robotTaskDO : robotTaskDOS) {
            log.info("发送MQTT消息 :{}",JSON.toJSONString(robotTaskDO));
            try {
                mqttUtils.pub( robotTaskDO.getTopic(), JSON.toJSONString(robotTaskDO));
            } catch (Exception e) {
                log.info("消息发送异常 :{}",e.getMessage());
            }
        }
    }*/
}
